<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div style="width:100%;">
  <div style="margin: 36px 10px 0px 10px;" *ngIf="zOrder===getMaxMessageBannerZOrder() && sessionContext.bannerMessage.isActive" [ngClass]="{'alert':true, 
  'alert-danger':sessionContext.bannerMessage.status===bannerMessageStatus.error,
  'alert-info':sessionContext.bannerMessage.status===bannerMessageStatus.info,
  'alert-warning':sessionContext.bannerMessage.status===bannerMessageStatus.warning,
  'alert-success':sessionContext.bannerMessage.status===bannerMessageStatus.success}">
    <div class="close" (click)="sessionContext.bannerMessage.hide()">x</div>
    {{sessionContext.bannerMessage.text}}
  </div>
</div>